Bug 731453 - rubygem-activerecord: SQL injection vulnerability in quote_table_name (Ruby on Rails) [epel-5]
rubygem-activerecord: SQL injection vulnerability in quote_table_name (Ruby o...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-activerecord (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
fst_owner=jrusnack
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2930
  Show dependency treegraph
 
Reported: 2011-08-17 13:27 EDT by Vincent Danen
Modified: 2014-11-15 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-actionpack-2.3.18-1.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-15 23:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-08-17 13:27:24 EDT
epel-5 tracking bug for rubygem-activerecord: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2014-10-22 02:38:31 EDT
rubygem-actionpack-2.3.18-1.el5,rubygem-activerecord-2.3.18-1.el5,rubygem-activesupport-2.3.18-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rubygem-actionpack-2.3.18-1.el5,rubygem-activerecord-2.3.18-1.el5,rubygem-activesupport-2.3.18-1.el5
Comment 2 Fedora Update System 2014-10-22 14:49:02 EDT
Package rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-actionpack-2.3.18-1.el5 rubygem-activerecord-2.3.18-1.el5 rubygem-activesupport-2.3.18-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3549/rubygem-actionpack-2.3.18-1.el5,rubygem-activerecord-2.3.18-1.el5,rubygem-activesupport-2.3.18-1.el5
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-11-15 23:16:06 EST
rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.